Bug 215507 - Fix time services of EFI emulation
Fix time services of EFI emulation
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.0
ia64 Linux
high Severity high
: ---
: ---
Assigned To: Aron Griffis
:
Depends On: 210637
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-14 08:42 EST by Atsushi SAKAI
Modified: 2010-10-22 02:56 EDT (History)
1 user (show)

See Also:
Fixed In Version: beta2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-22 21:39:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Atsushi SAKAI 2006-11-14 08:42:19 EST
Description of problem:

 If we shutdown 2xDomU at once.
 DomU hungs and causes Dom0 hung
 The reason is it is not serialize the time service at previous version.

 This patch serializes the execution of following efi.runtimes.
 - GetTime
 - SetTime
 - GetWakeTime
 - SetWakeTime

Linux/ia64 uses similar spinlocks in the EFI RTC driver.


Version-Release number of selected component (if applicable):


How reproducible:
 Always

Steps to Reproduce:
 1.shutdown 2xdomU at once.
   xm shutdown xxx;xm shutdown yyy

Actual results:

 DomU shutdown hung and Dom0 hungs.

Expected results:

 DomU shutdown successfully and Dom0 works properly.

Additional info:
   xen-ia64-unstable:CS12390:   e28beea6d228
   http://xenbits.xensource.com/ext/xen-ia64-unstable.hg?cs=e28beea6d228
Comment 1 RHEL Product and Program Management 2006-11-14 10:00:33 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Larry Troan 2006-11-14 11:18:13 EST
Updating severity=2 to aree with issue tracker.
Comment 3 Larry Troan 2006-11-20 13:58:36 EST
Per discussion with Prarit and Aron,
Bug 215507: 
> >   Status-NEW, patch available
(/xen/arch/ia64/xen/fw_emul.c posted Fri Nov 10 12:03:19 - looks mundane)

Should go in RHEL5.0 before RC.

Aron please ACK for devel; QA please ACK/NAK.
Comment 4 Jay Turner 2006-11-20 16:12:26 EST
QE ack for RHEL5.
Comment 5 Larry Troan 2006-12-03 21:37:06 EST
Escalating for RHEL5.0 consideration per Thursday's RHEL5 meeting.

Patch available and all 3 ACKs.
Changing status to ASSIGNED. 
Comment 6 Aron Griffis 2006-12-04 18:04:06 EST
devel ACK

...however this patch was included in the patchset submitted in bug 210637, so
I'm setting this bug to depend on that one, instead of treating this as a
separate patch
Comment 9 Jay Turner 2006-12-13 09:48:41 EST
Moving this to modified based on comment 6.
Comment 10 RHEL Product and Program Management 2006-12-22 21:39:15 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.